package com.yijia.market.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 优惠劵管理对象 market_coupon
 * 
 * @author yijia
 * @date 2020-12-22
 */
public class MarketCoupon extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long couponId;

    /** 油站编码 */
    @Excel(name = "油站编码")
    private String stationNo;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    /** 优惠卷名称 */
    @Excel(name = "优惠卷名称")
    private String couponName;

    /** 优惠劵规则 */
    @Excel(name = "优惠劵规则")
    private String couponRule;

    /** 优惠类型（0满减，1 立减，2，直降） */
    @Excel(name = "优惠类型", readConverterExp = "0=满减，1,立=减，2，直降")
    private String couponType;

    /** 优惠金额 */
    @Excel(name = "优惠金额")
    private Long couponAmt;

    /** 满减金额 */
    @Excel(name = "满减金额")
    private Long couponReulAmt;

    /** 优惠油品（0汽油，1柴油） */
    @Excel(name = "优惠油品", readConverterExp = "0=汽油，1柴油")
    private String couponOil;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date validityDate;

    public void setCouponId(Long couponId) 
    {
        this.couponId = couponId;
    }

    public Long getCouponId() 
    {
        return couponId;
    }
    public void setStationNo(String stationNo) 
    {
        this.stationNo = stationNo;
    }

    public String getStationNo() 
    {
        return stationNo;
    }
    public void setStationName(String stationName) 
    {
        this.stationName = stationName;
    }

    public String getStationName() 
    {
        return stationName;
    }
    public void setCouponName(String couponName) 
    {
        this.couponName = couponName;
    }

    public String getCouponName() 
    {
        return couponName;
    }
    public void setCouponRule(String couponRule) 
    {
        this.couponRule = couponRule;
    }

    public String getCouponRule() 
    {
        return couponRule;
    }
    public void setCouponType(String couponType) 
    {
        this.couponType = couponType;
    }

    public String getCouponType() 
    {
        return couponType;
    }
    public void setCouponAmt(Long couponAmt) 
    {
        this.couponAmt = couponAmt;
    }

    public Long getCouponAmt() 
    {
        return couponAmt;
    }
    public void setCouponReulAmt(Long couponReulAmt) 
    {
        this.couponReulAmt = couponReulAmt;
    }

    public Long getCouponReulAmt() 
    {
        return couponReulAmt;
    }
    public void setCouponOil(String couponOil) 
    {
        this.couponOil = couponOil;
    }

    public String getCouponOil() 
    {
        return couponOil;
    }
    public void setValidityDate(Date validityDate) 
    {
        this.validityDate = validityDate;
    }

    public Date getValidityDate() 
    {
        return validityDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("couponId", getCouponId())
            .append("stationNo", getStationNo())
            .append("stationName", getStationName())
            .append("couponName", getCouponName())
            .append("couponRule", getCouponRule())
            .append("couponType", getCouponType())
            .append("couponAmt", getCouponAmt())
            .append("couponReulAmt", getCouponReulAmt())
            .append("couponOil", getCouponOil())
            .append("validityDate", getValidityDate())
            .toString();
    }
}
